PayZuDocs

Returns all or part of a Pix received without a charge to the payer.

POSThttps://api.hub.payzu.com.br/api/v1/transactions/deposit/{depositId}/refund
POST
/transactions/deposit/{depositId}/refund

Path Params

Deposit identifier.

Body Params

Responses

curl -X POST "https://api.hub.payzu.com.br/api/v1/transactions/deposit/cmu4a1b2c000001s6xyz98765/refund" \  -H "Authorization: Bearer {{token}}" \  -H "Content-Type: application/json" \  -d '{    "amount": 1000  }'
{
"id": "cmu4a1b2c000001s6xyz98765",
"method": "PIX",
"amount": 5000,
"serviceFee": 50,
"netAmount": 4950,
"e2e": "E99999999202610051433a1b2c3d4e5f",
"receiverPixKey": "b3c7e9a2-4f1d-4c8a-9e2b-7d5f6a8c1e03",
"paidAt": "2026-10-05T16:10:02.551Z",
"createdAt": "2026-10-05T16:10:03.120Z",
"refundedAmount": 0,
"refundInProgressAmount": 5000,
"refundableAmount": 0,
"openInfractionProtocol": null,
}